diff -ruN mozilla-embedded-devel.orig/Makefile mozilla-embedded-devel/Makefile
--- mozilla-embedded-devel.orig/Makefile	Sat Oct 19 02:20:25 2002
+++ mozilla-embedded-devel/Makefile	Sat Oct 19 02:14:00 2002
@@ -2,7 +2,7 @@
 # Date created:				16 August 2000
 # Whom:					Maxim Sobolev <sobomax@FreeBSD.org>
 #
-# $FreeBSD: ports/www/mozilla-embedded-devel/Makefile,v 1.18 2002/09/07 18:54:35 marcus Exp $
+# $FreeBSD$
 #
 
 PORTNAME=	mozilla-embedded
@@ -22,8 +22,8 @@
 
 USE_X_PREFIX=	yes
 
-NO_LATEST_LINK=	yes
-
+LATEST_LINK=	mozilla-embedded-devel
+PLIST=		${WRKSRC}/pkg-plist
 MAINDIR=	${.CURDIR}/../mozilla-devel
 MKFILE!=	/usr/bin/basename ${MAKEFILE}
 PORTVERSION!=	${PORTVERSION}
@@ -39,7 +39,15 @@
 	@(cd ${WRKSRC}/dist/Embed; \
 	  ${SETENV} LD_LIBRARY_PATH=. MOZILLA_FIVE_HOME=. ../bin/regxpcom; \
 	  ${SETENV} LD_LIBRARY_PATH=. MOZILLA_FIVE_HOME=. ../bin/regchrome)
-	@find ${WRKSRC}/dist/Embed -name "*.so" | xargs strip
+	@${FIND} ${WRKSRC}/dist/Embed -name "*.so" | ${XARGS} ${STRIP_CMD}
+
+pre-install:
+	${TOUCH} -f ${PLIST}
+	cd ${WRKSRC}/dist/Embed && ${FIND} -s * -type f -o -type l | \
+		${SED} -e ':^:lib/mozilla-embedded-devel/:' >> ${PLIST} \
+		&& ${FIND} -d * -type f | \
+		${SED} -e 's:^:@dirrm lib/mozilla-embedded-devel/:' >> ${PLIST}
+	${ECHO_CMD} @dirrm lib/mozilla-embedded-devel >> ${PLIST}
 
 do-install:
 	${MKDIR} ${PREFIX}/lib/mozilla-embedded-devel
diff -ruN mozilla-embedded-devel.orig/pkg-plist mozilla-embedded-devel/pkg-plist
--- mozilla-embedded-devel.orig/pkg-plist	Sat Oct 19 02:20:25 2002
+++ mozilla-embedded-devel/pkg-plist	Wed Dec 31 19:00:00 1969
@@ -1,197 +0,0 @@
-lib/mozilla-embedded-devel/TestGtkEmbed
-lib/mozilla-embedded-devel/chrome/chrome.rdf
-lib/mozilla-embedded-devel/chrome/embed.jar
-lib/mozilla-embedded-devel/chrome/installed-chrome.txt
-lib/mozilla-embedded-devel/chrome/overlayinfo/communicator/content/overlays.rdf
-lib/mozilla-embedded-devel/chrome/overlayinfo/messenger/content/overlays.rdf
-lib/mozilla-embedded-devel/chrome/overlayinfo/navigator/content/overlays.rdf
-lib/mozilla-embedded-devel/chrome/pipnss.jar
-lib/mozilla-embedded-devel/chrome/pippki.jar
-lib/mozilla-embedded-devel/components/appshell.xpt
-lib/mozilla-embedded-devel/components/caps.xpt
-lib/mozilla-embedded-devel/components/chrome.xpt
-lib/mozilla-embedded-devel/components/compreg.dat
-lib/mozilla-embedded-devel/components/content_base.xpt
-lib/mozilla-embedded-devel/components/docshell.xpt
-lib/mozilla-embedded-devel/components/dom.xpt
-lib/mozilla-embedded-devel/components/dom_base.xpt
-lib/mozilla-embedded-devel/components/dom_core.xpt
-lib/mozilla-embedded-devel/components/dom_css.xpt
-lib/mozilla-embedded-devel/components/dom_events.xpt
-lib/mozilla-embedded-devel/components/dom_html.xpt
-lib/mozilla-embedded-devel/components/dom_range.xpt
-lib/mozilla-embedded-devel/components/dom_stylesheets.xpt
-lib/mozilla-embedded-devel/components/dom_traversal.xpt
-lib/mozilla-embedded-devel/components/dom_views.xpt
-lib/mozilla-embedded-devel/components/dom_xbl.xpt
-lib/mozilla-embedded-devel/components/dom_xul.xpt
-lib/mozilla-embedded-devel/components/editor.xpt
-lib/mozilla-embedded-devel/components/gfx.xpt
-lib/mozilla-embedded-devel/components/gfx2.xpt
-lib/mozilla-embedded-devel/components/imglib2.xpt
-lib/mozilla-embedded-devel/components/intl.xpt
-lib/mozilla-embedded-devel/components/jar.xpt
-lib/mozilla-embedded-devel/components/jsurl.xpt
-lib/mozilla-embedded-devel/components/layout_base.xpt
-lib/mozilla-embedded-devel/components/layout_xul.xpt
-lib/mozilla-embedded-devel/components/libcaps.so
-lib/mozilla-embedded-devel/components/libchardet.so
-lib/mozilla-embedded-devel/components/libchrome.so
-lib/mozilla-embedded-devel/components/libcookie.so
-lib/mozilla-embedded-devel/components/libdocshell.so
-lib/mozilla-embedded-devel/components/libeditor.so
-lib/mozilla-embedded-devel/components/libembedcomponents.so
-lib/mozilla-embedded-devel/components/libgfx2.so
-lib/mozilla-embedded-devel/components/libgfx_gtk.so
-lib/mozilla-embedded-devel/components/libgkcontent.so
-lib/mozilla-embedded-devel/components/libgklayout.so
-lib/mozilla-embedded-devel/components/libgkplugin.so
-lib/mozilla-embedded-devel/components/libgkview.so
-lib/mozilla-embedded-devel/components/libhtmlpars.so
-lib/mozilla-embedded-devel/components/libimggif.so
-lib/mozilla-embedded-devel/components/libimgjpeg.so
-lib/mozilla-embedded-devel/components/libimglib2.so
-lib/mozilla-embedded-devel/components/libimgpng.so
-lib/mozilla-embedded-devel/components/libimgppm.so
-lib/mozilla-embedded-devel/components/libjar50.so
-lib/mozilla-embedded-devel/components/libjsdom.so
-lib/mozilla-embedded-devel/components/libjsurl.so
-lib/mozilla-embedded-devel/components/liblwbrk.so
-lib/mozilla-embedded-devel/components/libmozbrwsr.so
-lib/mozilla-embedded-devel/components/libnecko.so
-lib/mozilla-embedded-devel/components/libnecko2.so
-lib/mozilla-embedded-devel/components/libnkcache.so
-lib/mozilla-embedded-devel/components/libnsappshell.so
-lib/mozilla-embedded-devel/components/libnslocale.so
-lib/mozilla-embedded-devel/components/libpipboot.so
-lib/mozilla-embedded-devel/components/libpipnss.so
-lib/mozilla-embedded-devel/components/libpippki.so
-lib/mozilla-embedded-devel/components/libpref.so
-lib/mozilla-embedded-devel/components/libprofile.so
-lib/mozilla-embedded-devel/components/librdf.so
-lib/mozilla-embedded-devel/components/libshistory.so
-lib/mozilla-embedded-devel/components/libstrres.so
-lib/mozilla-embedded-devel/components/libtxtsvc.so
-lib/mozilla-embedded-devel/components/libuconv.so
-lib/mozilla-embedded-devel/components/libucvcn.so
-lib/mozilla-embedded-devel/components/libucvibm.so
-lib/mozilla-embedded-devel/components/libucvja.so
-lib/mozilla-embedded-devel/components/libucvko.so
-lib/mozilla-embedded-devel/components/libucvlatin.so
-lib/mozilla-embedded-devel/components/libucvmath.so
-lib/mozilla-embedded-devel/components/libucvtw.so
-lib/mozilla-embedded-devel/components/libucvtw2.so
-lib/mozilla-embedded-devel/components/libunicharutil.so
-lib/mozilla-embedded-devel/components/liburiloader.so
-lib/mozilla-embedded-devel/components/libwallet.so
-lib/mozilla-embedded-devel/components/libwebbrwsr.so
-lib/mozilla-embedded-devel/components/libwidget_gtk.so
-lib/mozilla-embedded-devel/components/libxpconnect.so
-lib/mozilla-embedded-devel/components/locale.xpt
-lib/mozilla-embedded-devel/components/mozbrwsr.xpt
-lib/mozilla-embedded-devel/components/necko.xpt
-lib/mozilla-embedded-devel/components/necko_about.xpt
-lib/mozilla-embedded-devel/components/necko_cache.xpt
-lib/mozilla-embedded-devel/components/necko_data.xpt
-lib/mozilla-embedded-devel/components/necko_dns.xpt
-lib/mozilla-embedded-devel/components/necko_ftp.xpt
-lib/mozilla-embedded-devel/components/necko_http.xpt
-lib/mozilla-embedded-devel/components/necko_jar.xpt
-lib/mozilla-embedded-devel/components/necko_res.xpt
-lib/mozilla-embedded-devel/components/necko_strconv.xpt
-lib/mozilla-embedded-devel/components/pipboot.xpt
-lib/mozilla-embedded-devel/components/pipnss.xpt
-lib/mozilla-embedded-devel/components/pippki.xpt
-lib/mozilla-embedded-devel/components/plugin.xpt
-lib/mozilla-embedded-devel/components/profile.xpt
-lib/mozilla-embedded-devel/components/rdf.xpt
-lib/mozilla-embedded-devel/components/shistory.xpt
-lib/mozilla-embedded-devel/components/uconv.xpt
-lib/mozilla-embedded-devel/components/unicharutil.xpt
-lib/mozilla-embedded-devel/components/uriloader.xpt
-lib/mozilla-embedded-devel/components/wallet.xpt
-lib/mozilla-embedded-devel/components/webBrowser_core.xpt
-lib/mozilla-embedded-devel/components/widget.xpt
-lib/mozilla-embedded-devel/components/windowwatcher.xpt
-lib/mozilla-embedded-devel/components/xpcom_base.xpt
-lib/mozilla-embedded-devel/components/xpcom_components.xpt
-lib/mozilla-embedded-devel/components/xpcom_ds.xpt
-lib/mozilla-embedded-devel/components/xpcom_io.xpt
-lib/mozilla-embedded-devel/components/xpcom_threads.xpt
-lib/mozilla-embedded-devel/components/xpcom_xpti.xpt
-lib/mozilla-embedded-devel/components/xpconnect.xpt
-lib/mozilla-embedded-devel/components/xpti.dat
-lib/mozilla-embedded-devel/defaults/pref/all.js
-lib/mozilla-embedded-devel/defaults/pref/security-prefs.js
-lib/mozilla-embedded-devel/defaults/pref/unix.js
-lib/mozilla-embedded-devel/libgkgfx.so
-lib/mozilla-embedded-devel/libgtkembedmoz.so
-lib/mozilla-embedded-devel/libgtksuperwin.so
-lib/mozilla-embedded-devel/libmoz_art_lgpl.so
-lib/mozilla-embedded-devel/libmozjs.so
-lib/mozilla-embedded-devel/libmozz.so
-lib/mozilla-embedded-devel/libnspr4.so
-lib/mozilla-embedded-devel/libnss3.so
-lib/mozilla-embedded-devel/libnssckbi.so
-lib/mozilla-embedded-devel/libplc4.so
-lib/mozilla-embedded-devel/libplds4.so
-lib/mozilla-embedded-devel/libsmime3.so
-lib/mozilla-embedded-devel/libsoftokn3.so
-lib/mozilla-embedded-devel/libssl3.so
-lib/mozilla-embedded-devel/libxpcom.so
-lib/mozilla-embedded-devel/readme.html
-lib/mozilla-embedded-devel/res/arrow.gif
-lib/mozilla-embedded-devel/res/arrowd.gif
-lib/mozilla-embedded-devel/res/broken-image.gif
-lib/mozilla-embedded-devel/res/builtin/htmlBindings.xml
-lib/mozilla-embedded-devel/res/builtin/platformHTMLBindings.xml
-lib/mozilla-embedded-devel/res/charsetData.properties
-lib/mozilla-embedded-devel/res/charsetalias.properties
-lib/mozilla-embedded-devel/res/dtd/mathml.dtd
-lib/mozilla-embedded-devel/res/dtd/svg.dtd
-lib/mozilla-embedded-devel/res/dtd/xhtml11.dtd
-lib/mozilla-embedded-devel/res/entityTables/html40Latin1.properties
-lib/mozilla-embedded-devel/res/entityTables/html40Special.properties
-lib/mozilla-embedded-devel/res/entityTables/html40Symbols.properties
-lib/mozilla-embedded-devel/res/entityTables/htmlEntityVersions.properties
-lib/mozilla-embedded-devel/res/entityTables/mathml20.properties
-lib/mozilla-embedded-devel/res/entityTables/transliterate.properties
-lib/mozilla-embedded-devel/res/fonts/mathfont.properties
-lib/mozilla-embedded-devel/res/fonts/mathfontCMEX10.properties
-lib/mozilla-embedded-devel/res/fonts/mathfontCMSY10.properties
-lib/mozilla-embedded-devel/res/fonts/mathfontMTExtra.properties
-lib/mozilla-embedded-devel/res/fonts/mathfontMath1.properties
-lib/mozilla-embedded-devel/res/fonts/mathfontMath2.properties
-lib/mozilla-embedded-devel/res/fonts/mathfontMath4.properties
-lib/mozilla-embedded-devel/res/fonts/mathfontPUA.properties
-lib/mozilla-embedded-devel/res/fonts/mathfontSymbol.properties
-lib/mozilla-embedded-devel/res/forms.css
-lib/mozilla-embedded-devel/res/html.css
-lib/mozilla-embedded-devel/res/langGroups.properties
-lib/mozilla-embedded-devel/res/language.properties
-lib/mozilla-embedded-devel/res/loading-image.gif
-lib/mozilla-embedded-devel/res/mathml.css
-lib/mozilla-embedded-devel/res/quirk.css
-lib/mozilla-embedded-devel/res/ua.css
-lib/mozilla-embedded-devel/res/unixcharset.properties
-lib/mozilla-embedded-devel/res/viewsource.css
-lib/mozilla-embedded-devel/run-mozilla.sh
-@unexec rm -f %D/lib/mozilla-embedded-devel/component.reg || true
-@unexec rm -f %D/lib/mozilla-embedded-devel/components/xpti.dat || true
-@dirrm lib/mozilla-embedded-devel/res/fonts
-@dirrm lib/mozilla-embedded-devel/res/entityTables
-@dirrm lib/mozilla-embedded-devel/res/dtd
-@dirrm lib/mozilla-embedded-devel/res/builtin
-@dirrm lib/mozilla-embedded-devel/res
-@dirrm lib/mozilla-embedded-devel/defaults/pref
-@dirrm lib/mozilla-embedded-devel/defaults
-@dirrm lib/mozilla-embedded-devel/components
-@dirrm lib/mozilla-embedded-devel/chrome/overlayinfo/navigator/content
-@dirrm lib/mozilla-embedded-devel/chrome/overlayinfo/navigator
-@dirrm lib/mozilla-embedded-devel/chrome/overlayinfo/messenger/content
-@dirrm lib/mozilla-embedded-devel/chrome/overlayinfo/messenger
-@dirrm lib/mozilla-embedded-devel/chrome/overlayinfo/communicator/content
-@dirrm lib/mozilla-embedded-devel/chrome/overlayinfo/communicator
-@dirrm lib/mozilla-embedded-devel/chrome/overlayinfo
-@dirrm lib/mozilla-embedded-devel/chrome
-@dirrm lib/mozilla-embedded-devel
